Skip to main content
PATCH
/
v4
/
models
/
{model_instance_id}
/
deployments
/
{deployment_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
model_deployment = client.models.deployments.update(
    deployment_id="deployment_id",
    model_instance_id="model_instance_id",
)
print(model_deployment.id)
{
  "name": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "created_by_user_id": "<string>",
  "created_by_identity_type": "user",
  "status": "<string>",
  "model_creation_parameters": {},
  "model_endpoint_id": "<string>",
  "model_instance_id": "<string>",
  "vendor_configuration": {
    "min_workers": 0,
    "max_workers": 1,
    "per_worker": 10,
    "vendor": "LAUNCH"
  },
  "deployment_metadata": {}
}

Authorizations

x-api-key
string
header
required

Path Parameters

model_instance_id
string
required
deployment_id
string
required

Body

application/json
name
string
model_creation_parameters
Model Creation Parameters · object
vendor_configuration
LaunchDeploymentVendorConfiguration · object
deployment_metadata
Deployment Metadata · object
wait_for_ready
boolean

If true, the request will block until the Launch endpoint is READY. Defaults to true.

Response

Successful Response

name
string
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
status
string
required

Status of the model's deployment.

model_creation_parameters
Model Creation Parameters · object
model_endpoint_id
string
model_instance_id
string
vendor_configuration
LaunchDeploymentVendorConfiguration · object
deployment_metadata
Deployment Metadata · object